;; bigloo -o scb-bttn.exe scb-bttn.scm gtk.o  -lgtk-server

(module test (main main)
  (include "macro-def.sch")
  (import (gtkserver_gtk "gtk.scm")) )

(define (main argv)
  (gtk-init)
  (let* ( (win (gtk-window-new 0))
          (hbx (gtk-hbox-new #t 60))
          (exit-button (gtk-button-new-with-label "Exit"))
          (hello-button (gtk-button-new-with-label "Hello"))  )
          
     (gtk-box-pack-start hbx exit-button 1 1 0)
     (gtk-box-pack-start hbx hello-button 1 1 0)
     
     (gtk-container-add  win hbx)
     (gtk-widget-show-all win)
     (do  ([event (gtk-server-callback) (gtk-server-callback)] )
          ([equal? event exit-button])
       (when (equal? event hello-button)
             (print "Hello, world!")
             (flush-output-port (current-output-port)) )
     ); end do 
   ) 
)


;; In 'sca-bttn', you learned that (gtk-hbox-new #t 60) has tow arguments. 
;; The second argument sets the  distance between one of the box components 
;; and the next. In this case, the distance between one button and the other
;; is 20. Since the first argument is true, the program will give both buttons 
;; the same width; however, in "sca-bttn", the buttons had different widths.
