;;  bigloo -o sck-img sck-images.scm gtk.o -lgtk-server


(module images (main main)
  (include "macro-def.sch")
  (import (gtkserver_gtk "gtk.scm")))

(define (main args) (gtk-init)
    (let* ( (win (gtk-window-new 0)) ; 0 means TOP WINDOW

            ;; Now image is defined from a jpg file.
            (image (gtk-image-new-from-file "church.jpg"))

            (EBOX (gtk-event-box-new))
            (_ (gtk-container-add EBOX image))
            (ext  (gtk-button-new-with-label "Exit"))
            (spinoza  (gtk-button-new-with-label "Spinoza's grave"))
            (church  (gtk-button-new-with-label "Church"))
            (hbx (gtk-hbox-new #f 0))
            (vbx (gtk-vbox-new #f 2))
            (sep  (gtk-hseparator-new)) )

       (pack-homogeneously hbx ext spinoza church)
       (pack-pack vbx hbx sep EBOX)
       (gtk-container-add win vbx )
       (gtk-widget-show-all win)
       (gtk-window-set-resizable win #t)
       (gtk-window-set-default-size win 600 400)
       (gtk-window-set-position win 1)
       (gtk-window-set-title win "Spinoza's grave!")
       (do  ( (event (gtk-server-callback) (gtk-server-callback)))
            ( (equal? ext event) (print "Good bye!"))
          (cond ( (equal? spinoza event)
                  (gtk-image-set-from-file image "stone.jpg"))
                ( (equal? church event)
                  (gtk-image-set-from-file image "church.jpg"))
          );close cond
        );close do
   );close let*
); close define
