;; $ bigloo -o scs-mouse scs-mouse.scm  gtk.o -lgtk-server
(module mus (main main) 
   (include "macro-def.sch")
  (import (gtkserver_gtk "gtk.scm")))

(define (main args) (gtk-init)
  (let* ( (win (gtk-window-new 0))
          (image (gtk-image-new)) 
          (EBOX (gtk-event-box-new))	                   
          (ext  (gtk-button-new-with-label "Exit"))	                   
          (vbx (gtk-vbox-new #f 2))
          (gdkwin #f)                   
          (PIX #f)
          (GC #f)
          (grt (gtk-widget-create-pango-layout image "Hello"))
          (COLOR (gtk-frame-new)) )
	   
     (gtk-container-add EBOX image)
     (pack-pack vbx ext EBOX)	
     (gtk-container-add win vbx )
     (gtk-widget-show-all win)   
     (set! gdkwin (gtk-widget-get-parent-window image))
     (set! PIX (gdk-pixmap-new gdkwin 400 300 -1))
     (set! GC (gdk-gc-new PIX))
     (gtk-image-set-from-pixmap image PIX)
     (gtk-window-set-title win "Mouse example!")
     (gtk-server-connect EBOX "button-press-event canvas")     
     (play-with evt until (equal? evt ext) thus
        ["canvas"   
           (when (equal? (gtk-get-mouse-button) 256)
              (g-object-unref PIX)
              (set! PIX (gdk-pixmap-new gdkwin 400 300 -1))
              (gtk-image-set-from-pixmap image PIX)      
              (gdk-color-parse "#ff0000" COLOR)
              (gdk-gc-set-rgb-fg-color GC COLOR)
              (gdk-draw-rectangle PIX GC #t 
                     (gtk-mouse-x) (gtk-mouse-y) 80 80))
              (gdk-color-parse "#00ff00" COLOR)
              (gdk-gc-set-rgb-fg-color GC COLOR)
              (gdk-draw-layout PIX GC (+ 20 (gtk-mouse-x))
                               (+ 20 (gtk-mouse-y)) grt) ] ) ))
